For the complete documentation index, see llms.txt. This page is also available as Markdown.

Danh sách tin nhắn

  • Lấy danh sách tin nhắn hoặc bình luận của một hội thoại.

Request

curl --location 'https://vpage.open.nhanh.vn/v3.0/conversation/messages?appId={{appId}}&businessId={{businessId}}' \
--header 'Authorization: {{accessToken}}' \
--header 'Content-Type: application/json' \
--data '{
    "filters": { 
        "conversationId": "{{conversationId}}"
    },
    "paginator": {
        "size": 30, 
        "sort": {"createdAt": "desc"}
    }
}'

Filters

Key
Type
Description

conversationId

string

ID hội thoại

Paginator

Key
Type
Description

size

int

Số lượng bản ghi trên 1 trang. Tối đa không quá 50

next

array

Mảng dữ liệu next (được trả về từ trang trước đó - nếu có)

sort

array

Mảng dữ liệu các tiêu chí sort. Xem bảng bên dưới

  • sort

Key
Description
Value

createdAt

Thời tạo page

ASC, DESC

Response

Failed response

Successful response

  • Khi mà senderId = pageId thì được hiểu là page gửi tin nhắn đó, còn senderId khác pageId thì là khách hàng gửi tin nhắn đó.

  • Một page có thể có nhiều nhân viên trả lời, thì bạn có thể dựa vào createdById và createdByName để biết nhân viên nào trả lời tin nhắn này.

Last updated